## DMS UIM Unblock CK DMS UIM Unblock CK |

## Functions

QmiMessageDmsUimUnblockCkInput * | qmi_message_dms_uim_unblock_ck_input_new ()
QmiMessageDmsUimUnblockCkInput * | qmi_message_dms_uim_unblock_ck_input_ref ()
void | qmi_message_dms_uim_unblock_ck_input_unref ()
gboolean | qmi_message_dms_uim_unblock_ck_input_get_facility ()
gboolean | qmi_message_dms_uim_unblock_ck_input_set_facility ()
QmiMessageDmsUimUnblockCkOutput * | qmi_message_dms_uim_unblock_ck_output_ref ()
void | qmi_message_dms_uim_unblock_ck_output_unref ()
gboolean | qmi_message_dms_uim_unblock_ck_output_get_result ()
gboolean | qmi_message_dms_uim_unblock_ck_output_get_unblock_retries_left ()
void | qmi_client_dms_uim_unblock_ck ()
QmiMessageDmsUimUnblockCkOutput * | qmi_client_dms_uim_unblock_ck_finish ()

## Types and Values

| QmiMessageDmsUimUnblockCkInput
| QmiMessageDmsUimUnblockCkOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsUimUnblockCkInput
        ╰── QmiMessageDmsUimUnblockCkOutput

## Description

## Functions

### qmi_message_dms_uim_unblock_ck_input_new ()

    QmiMessageDmsUimUnblockCkInput *
    qmi_message_dms_uim_unblock_ck_input_new
                                   (void);

Allocates a new QmiMessageDmsUimUnblockCkInput.

#### Returns

the newly created QmiMessageDmsUimUnblockCkInput. The returned value should be freed with `qmi_message_dms_uim_unblock_ck_input_unref()`.

### qmi_message_dms_uim_unblock_ck_input_ref ()

    QmiMessageDmsUimUnblockCkInput *
    qmi_message_dms_uim_unblock_ck_input_ref
                                   (QmiMessageDmsUimUnblockCkInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimUnblockCkInput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_uim_unblock_ck_input_unref ()

    void
    qmi_message_dms_uim_unblock_ck_input_unref
                                   (QmiMessageDmsUimUnblockCkInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimUnblockCkInput. |

### qmi_message_dms_uim_unblock_ck_input_get_facility ()

    gboolean
    qmi_message_dms_uim_unblock_ck_input_get_facility
                                   (QmiMessageDmsUimUnblockCkInput *self,
                                    QmiDmsUimFacility *value_facility_facility,
                                    const gchar **value_facility_facility_control_key,
                                    GError **error);

Get the 'Facility' field from `self` .

#### Parameters

self | a QmiMessageDmsUimUnblockCkInput. |
value_facility_facility | a placeholder for the output QmiDmsUimFacility, or `NULL` if not required. |
value_facility_facility_control_key | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_uim_unblock_ck_input_set_facility ()

    gboolean
    qmi_message_dms_uim_unblock_ck_input_set_facility
                                   (QmiMessageDmsUimUnblockCkInput *self,
                                    QmiDmsUimFacility value_facility_facility,
                                    const gchar *value_facility_facility_control_key,
                                    GError **error);

Set the 'Facility' field in the message.

#### Parameters

self | a QmiMessageDmsUimUnblockCkInput. |
value_facility_facility | a QmiDmsUimFacility. |
value_facility_facility_control_key | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_uim_unblock_ck_output_ref ()

    QmiMessageDmsUimUnblockCkOutput *
    qmi_message_dms_uim_unblock_ck_output_ref
                                   (QmiMessageDmsUimUnblockCkOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimUnblockCkOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_uim_unblock_ck_output_unref ()

    void
    qmi_message_dms_uim_unblock_ck_output_unref
                                   (QmiMessageDmsUimUnblockCkOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimUnblockCkOutput. |

### qmi_message_dms_uim_unblock_ck_output_get_result ()

    gboolean
    qmi_message_dms_uim_unblock_ck_output_get_result
                                   (QmiMessageDmsUimUnblockCkOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimUnblockCkOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_dms_uim_unblock_ck_output_get_unblock_retries_left ()

    gboolean
    qmi_message_dms_uim_unblock_ck_output_get_unblock_retries_left
                                   (QmiMessageDmsUimUnblockCkOutput *self,
                                    guint8 *value_unblock_retries_left,
                                    GError **error);

Get the 'Unblock Retries Left' field from `self` .

#### Parameters

self | a QmiMessageDmsUimUnblockCkOutput. |
value_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_dms_uim_unblock_ck ()

    void
    qmi_client_dms_uim_unblock_ck (QmiClientDms *self,
                                   QmiMessageDmsUimUnblockCkInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a UIM Unblock CK request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_unblock_ck_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsUimUnblockCkInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_uim_unblock_ck_finish ()

    QmiMessageDmsUimUnblockCkOutput *
    qmi_client_dms_uim_unblock_ck_finish (QmiClientDms *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_dms_uim_unblock_ck()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_unblock_ck()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimUnblockCkOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_unblock_ck_output_unref()`.

## Types and Values

### QmiMessageDmsUimUnblockCkInput

    typedef struct _QmiMessageDmsUimUnblockCkInput QmiMessageDmsUimUnblockCkInput;

The QmiMessageDmsUimUnblockCkInput structure contains private data and should only be accessed using the provided API.

### QmiMessageDmsUimUnblockCkOutput

    typedef struct _QmiMessageDmsUimUnblockCkOutput QmiMessageDmsUimUnblockCkOutput;

The QmiMessageDmsUimUnblockCkOutput structure contains private data and should only be accessed using the provided API.